const path = require('path');
const UglifyJSPlugin = require('uglifyjs-webpack-plugin');

module.exports = {
    entry: {
        'angular-rx-shopping-cart': "./src/index.ts",
        'angular-rx-shopping-cart.min': "./src/index.ts"
    },
    devtool: 'inline-source-map',
    module: {
        rules: [
            {
                exclude: /node_modules/,
                test: /\.tsx?$/,
                use: [
                    { loader: 'ts-loader' },
                    { loader: 'lodash-ts-imports-loader' }
                ]
            }
        ]
    },
    plugins: [
        new UglifyJSPlugin({
            include: /\.min\.js$/
        })
    ],
    resolve: {
        extensions: [ '.tsx', '.ts', '.js' ]
    },
    output: {
        filename: '[name].js',
        path: path.resolve(__dirname, 'dist')
    }
};
